TakenAt: 2021-08-18T16:11:51Z
TakenAtLocal: 2021-08-18T17:11:51Z
TakenSrc: meta
UID: pt67p5g3ru64ycu7
Type: image
Title: Whitman Laboratories / Petersfield / 2021
TimeZone: Europe/London
PlaceSrc: meta
Altitude: 119
Lat: 51.0054081
Lng: -0.9518415
Year: 2021
Month: 8
Day: 18
ISO: 320
Exposure: 1/50
FNumber: 1.8
FocalLength: 26
Quality: 4
Details:
  Keywords: bedford, brown, england, laboratories, petersfield, road, united-kingdom,
    whitman
  Software: G981BXXU8DUF9
  SoftwareSrc: meta
CreatedAt: 2025-11-24T03:46:28Z
UpdatedAt: 2025-11-24T08:33:04Z
